Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 654941 - First tab in group has black thumbnail after "Undo close group" is used
: First tab in group has black thumbnail after "Undo close group" is used
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 6
Assigned To: Tim Taubert [:ttaubert]
Depends on:
Blocks: 624692 653099
  Show dependency treegraph
Reported: 2011-05-05 01:17 PDT by George Carstoiu
Modified: 2016-04-12 14:00 PDT (History)
5 users (show)
mounir: in‑testsuite+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

Screenshot 1 (512.54 KB, image/png)
2011-05-05 01:17 PDT, George Carstoiu
no flags Details
patch v1 (5.57 KB, patch)
2011-05-06 07:33 PDT, Tim Taubert [:ttaubert]
ehsan: review+
raymond: feedback+
Details | Diff | Splinter Review
patch for checkin (4.48 KB, patch)
2011-05-11 07:20 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review

Description George Carstoiu 2011-05-05 01:17:33 PDT
Created attachment 530255 [details]
Screenshot 1

Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110504 Firefox/6.0a1

After pressing the Undo close tab option, the first thumbnail in the group becomes black - see Screenshot 1.

Reproducible: always

Steps to reproduce:
1. Open a few tabs
2. Go into Panorama
3. Close the group that contains all the tabs
4. Press Undo close tab

Actual results:
 - the first thumbnail in the group is black

Expected results:
 - all tabs are displayed normally

This issue may be related to bug 624692.
Comment 1 Tim Taubert [:ttaubert] 2011-05-06 07:33:28 PDT
Created attachment 530616 [details] [diff] [review]
patch v1
Comment 2 Raymond Lee [:raymondlee] 2011-05-06 09:12:47 PDT
Comment on attachment 530616 [details] [diff] [review]
patch v1

Tried the patch.  It works!
Comment 3 Asa Dotzler [:asa] 2011-05-06 13:59:29 PDT
tracking-firefox flags aren't for suggesting something is important. If you think it's important, work with the leads of that module to get it prioritized.
Comment 4 Tim Taubert [:ttaubert] 2011-05-06 18:57:02 PDT
Comment on attachment 530616 [details] [diff] [review]
patch v1

Passed try:
Comment 5 Tim Taubert [:ttaubert] 2011-05-06 19:18:03 PDT
Comment on attachment 530616 [details] [diff] [review]
patch v1

I hope you are willing to take the review for this, Ehsan :)

The main fix here is to call UI.setActive() after all tabItems are shown again. So they're not arranged when hidden. The second test case covers bug 624692 that is fixed by this patch, too.
Comment 6 Tim Taubert [:ttaubert] 2011-05-11 07:20:31 PDT
Created attachment 531623 [details] [diff] [review]
patch for checkin
Comment 7 Daniel Holbert [:dholbert] (PTO Oct 21-25) 2011-05-12 10:59:26 PDT
Comment 8 Mounir Lamouri (:mounir) 2011-05-13 02:15:08 PDT
Comment 9 George Carstoiu 2011-06-21 06:19:57 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110620 Firefox/7.0a1

Verified on Ubuntu 11.04 x86, Mac OS X 10.6, WinXP, Win 7 x86 using the steps from Comment 0.

Setting status to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.